<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (1.8.0_112) on Sun Aug 29 12:47:13 CEST 2021 -->
<title>S-Index</title>
<meta name="date" content="2021-08-29">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="S-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-16.html">Prev Letter</a></li>
<li><a href="index-18.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-17.html" target="_top">Frames</a></li>
<li><a href="index-17.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">W</a>&nbsp;<a href="index-21.html">X</a>&nbsp;<a href="index-22.html">Y</a>&nbsp;<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Game.html#saveFormation--">saveFormation()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Game.html" title="class in de.rowlo.tridchess.model.trid">Game</a></dt>
<dd>
<div class="block">Saves the current formation.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/LoadSaveFiles.html#saveFormation--">saveFormation()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/LoadSaveFiles.html" title="class in de.rowlo.tridchess.model.trid">LoadSaveFiles</a></dt>
<dd>
<div class="block">Saves the current formation to a file displaying a dialog to choose a file
 name.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/LoadSaveFiles.html#saveFormation-boolean-java.util.Properties-java.lang.String-">saveFormation(boolean, Properties, String)</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/LoadSaveFiles.html" title="class in de.rowlo.tridchess.model.trid">LoadSaveFiles</a></dt>
<dd>
<div class="block">Saves a formation to a file with a default name containing date and time.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Game.html#saveGame--">saveGame()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Game.html" title="class in de.rowlo.tridchess.model.trid">Game</a></dt>
<dd>
<div class="block">Saves the current game.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/LoadSaveFiles.html#saveGame--">saveGame()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/LoadSaveFiles.html" title="class in de.rowlo.tridchess.model.trid">LoadSaveFiles</a></dt>
<dd>
<div class="block">Saves the current game.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/LogView.html#saveMoveLog--">saveMoveLog()</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/LogView.html" title="class in de.rowlo.tridchess.gui">LogView</a></dt>
<dd>
<div class="block">Saves the move log to a file.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/LoadSaveFiles.html#saveMoveLog--">saveMoveLog()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/LoadSaveFiles.html" title="class in de.rowlo.tridchess.model.trid">LoadSaveFiles</a></dt>
<dd>
<div class="block">Saves the list of game Moves done so far to a file displaying a dialog to
 choose a file name.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/LoadSaveFiles.html#saveMoveLog-boolean-java.lang.String-">saveMoveLog(boolean, String)</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/LoadSaveFiles.html" title="class in de.rowlo.tridchess.model.trid">LoadSaveFiles</a></dt>
<dd>
<div class="block">Saves the list of game Moves done so far to a file with a default name
 containing date and time.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/ChessUi.html#SELECTED_FIELD_COLOR">SELECTED_FIELD_COLOR</a></span> - Static variable in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/ChessUi.html" title="class in de.rowlo.tridchess.gui">ChessUi</a></dt>
<dd>
<div class="block">Property key name for selected field's color.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/ChessUi.html#SELECTED_PIN_COLOR">SELECTED_PIN_COLOR</a></span> - Static variable in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/ChessUi.html" title="class in de.rowlo.tridchess.gui">ChessUi</a></dt>
<dd>
<div class="block">Property key name for selected pin's color.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FieldView.html#SELECTED_SHADE">SELECTED_SHADE</a></span> - Static variable in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui">FieldView</a></dt>
<dd>
<div class="block">Highlighting used for a field.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/trid/PinView.html#SELECTED_SHADE">SELECTED_SHADE</a></span> - Static variable in class de.rowlo.tridchess.gui.trid.<a href="../de/rowlo/tridchess/gui/trid/PinView.html" title="class in de.rowlo.tridchess.gui.trid">PinView</a></dt>
<dd>
<div class="block">Highlighting used for a pin.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#setBlackKing-de.rowlo.tridchess.model.Figure-">setBlackKing(Figure)</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Field.html#setBoard-de.rowlo.tridchess.model.Board-">setBoard(Board)</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Figure.html#setBoard-de.rowlo.tridchess.model.Board-">setBoard(Board)</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Pin.html#setBoard-de.rowlo.tridchess.model.Board-">setBoard(Board)</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FieldView.html#setBoardPos-int:A-">setBoardPos(int[])</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui">FieldView</a></dt>
<dd>
<div class="block">Sets a new position of the field.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/trid/PinView.html#setBoardPos-int:A-">setBoardPos(int[])</a></span> - Method in class de.rowlo.tridchess.gui.trid.<a href="../de/rowlo/tridchess/gui/trid/PinView.html" title="class in de.rowlo.tridchess.gui.trid">PinView</a></dt>
<dd>
<div class="block">Sets a new position of the pin.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/BoardView.html#setChessUi-de.rowlo.tridchess.gui.ChessUi-">setChessUi(ChessUi)</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/BoardView.html" title="class in de.rowlo.tridchess.gui">BoardView</a></dt>
<dd>
<div class="block">Sets the ChessUi to be used.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FiguresListView.html#setChessUi-de.rowlo.tridchess.gui.ChessUi-">setChessUi(ChessUi)</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FiguresListView.html" title="class in de.rowlo.tridchess.gui">FiguresListView</a></dt>
<dd>
<div class="block">Sets the ChessUi to be used.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/LogView.html#setChessUi-de.rowlo.tridchess.gui.ChessUi-">setChessUi(ChessUi)</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/LogView.html" title="class in de.rowlo.tridchess.gui">LogView</a></dt>
<dd>
<div class="block">Sets the ChessUi to be used.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FiguresListView.html#setDraggedFigure-de.rowlo.tridchess.model.Figure-">setDraggedFigure(Figure)</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FiguresListView.html" title="class in de.rowlo.tridchess.gui">FiguresListView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FiguresListView.html#setDraggedFigureLocation-java.awt.Point-">setDraggedFigureLocation(Point)</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FiguresListView.html" title="class in de.rowlo.tridchess.gui">FiguresListView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#setDragging-boolean-">setDragging(boolean)</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Figure.html#setField-de.rowlo.tridchess.model.Field-">setField(Field)</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></dt>
<dd>
<div class="block">Sets field where the figure stands and updates old and new fields' figure
 attribute.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/BoardView.html#setFieldHeight-int-">setFieldHeight(int)</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/BoardView.html" title="class in de.rowlo.tridchess.gui">BoardView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FiguresListView.html#setFieldHeight-int-">setFieldHeight(int)</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FiguresListView.html" title="class in de.rowlo.tridchess.gui">FiguresListView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Pin.html#setFields-de.rowlo.tridchess.model.Field:A:A-">setFields(Field[][])</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Pin.html#setFields-de.rowlo.tridchess.model.Field:A:A-boolean-">setFields(Field[][], boolean)</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#setFieldUnderMouseDrag-de.rowlo.tridchess.model.Field-">setFieldUnderMouseDrag(Field)</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/BoardView.html#setFieldWidth-int-">setFieldWidth(int)</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/BoardView.html" title="class in de.rowlo.tridchess.gui">BoardView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FiguresListView.html#setFieldWidth-int-">setFieldWidth(int)</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FiguresListView.html" title="class in de.rowlo.tridchess.gui">FiguresListView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Field.html#setFigure-de.rowlo.tridchess.model.Field-de.rowlo.tridchess.model.Figure-boolean-">setFigure(Field, Figure, boolean)</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></dt>
<dd>
<div class="block">Sets the figure of this field with logging the move.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Field.html#setFigure-de.rowlo.tridchess.model.Figure-">setFigure(Figure)</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></dt>
<dd>
<div class="block">Sets the figure of the field without logging.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Game.html#setFreeMoveMode-boolean-">setFreeMoveMode(boolean)</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Game.html" title="class in de.rowlo.tridchess.model.trid">Game</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/trid/PinView.html#setGhost-boolean-">setGhost(boolean)</a></span> - Method in class de.rowlo.tridchess.gui.trid.<a href="../de/rowlo/tridchess/gui/trid/PinView.html" title="class in de.rowlo.tridchess.gui.trid">PinView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Figure.html#setGhostMoveList-java.util.ArrayList-">setGhostMoveList(ArrayList&lt;Field&gt;)</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/BoardView.html#setGridFields-de.rowlo.tridchess.model.Field:A:A-">setGridFields(Field[][])</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/BoardView.html" title="class in de.rowlo.tridchess.gui">BoardView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FieldView.html#setGridPos-java.awt.Point-">setGridPos(Point)</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui">FieldView</a></dt>
<dd>
<div class="block">Sets a new position of the field.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/trid/PinView.html#setGridPos-java.awt.Point-">setGridPos(Point)</a></span> - Method in class de.rowlo.tridchess.gui.trid.<a href="../de/rowlo/tridchess/gui/trid/PinView.html" title="class in de.rowlo.tridchess.gui.trid">PinView</a></dt>
<dd>
<div class="block">Sets a new position of the pin.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/BoardView.html#setHintText-java.lang.String-">setHintText(String)</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/BoardView.html" title="class in de.rowlo.tridchess.gui">BoardView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Figure.html#setImage-java.awt.image.BufferedImage-">setImage(BufferedImage)</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Figure.html#setInGame-boolean-">setInGame(boolean)</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#setLastFieldUnderMouse-de.rowlo.tridchess.model.Field-">setLastFieldUnderMouse(Field)</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#setLastPinUnderMouse-de.rowlo.tridchess.model.trid.Pin-">setLastPinUnderMouse(Pin)</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Figure.html#setMate-boolean-">setMate(boolean)</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#setMouseDragPosition-java.awt.Point-">setMouseDragPosition(Point)</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Figure.html#setMoveList-java.util.ArrayList-">setMoveList(ArrayList&lt;Field&gt;)</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Field.html#setName-java.lang.String-">setName(String)</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Figure.html#setName-java.lang.String-">setName(String)</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Pin.html#setName-java.lang.String-">setName(String)</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#setPinUnderMouseDrag-de.rowlo.tridchess.model.trid.Pin-">setPinUnderMouseDrag(Pin)</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FieldView.html#setRefPos-java.awt.Point-">setRefPos(Point)</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui">FieldView</a></dt>
<dd>
<div class="block">Sets a new position of the board on graphics device.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/trid/PinView.html#setRefPos-java.awt.Point-">setRefPos(Point)</a></span> - Method in class de.rowlo.tridchess.gui.trid.<a href="../de/rowlo/tridchess/gui/trid/PinView.html" title="class in de.rowlo.tridchess.gui.trid">PinView</a></dt>
<dd>
<div class="block">Sets a new position of the board on graphics device.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/ChessUi.html#setResourceFile-java.lang.String-">setResourceFile(String)</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/ChessUi.html" title="class in de.rowlo.tridchess.gui">ChessUi</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FieldView.html#setShade-int-">setShade(int)</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui">FieldView</a></dt>
<dd>
<div class="block">Sets the shade of the field.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/trid/PinView.html#setShade-int-">setShade(int)</a></span> - Method in class de.rowlo.tridchess.gui.trid.<a href="../de/rowlo/tridchess/gui/trid/PinView.html" title="class in de.rowlo.tridchess.gui.trid">PinView</a></dt>
<dd>
<div class="block">Sets the current highlight type.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FieldView.html#setSize-java.awt.Dimension-">setSize(Dimension)</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui">FieldView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/trid/PinView.html#setSize-java.awt.Dimension-">setSize(Dimension)</a></span> - Method in class de.rowlo.tridchess.gui.trid.<a href="../de/rowlo/tridchess/gui/trid/PinView.html" title="class in de.rowlo.tridchess.gui.trid">PinView</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Pin.html#setTargets-java.util.ArrayList-">setTargets(ArrayList&lt;String&gt;)</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/FieldView.html#setUi-de.rowlo.tridchess.gui.ChessUi-">setUi(ChessUi)</a></span> - Method in class de.rowlo.tridchess.gui.<a href="../de/rowlo/tridchess/gui/FieldView.html" title="class in de.rowlo.tridchess.gui">FieldView</a></dt>
<dd>
<div class="block">Sets the ChessUi class for providing the current color scheme.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/gui/trid/PinView.html#setUi-de.rowlo.tridchess.gui.ChessUi-">setUi(ChessUi)</a></span> - Method in class de.rowlo.tridchess.gui.trid.<a href="../de/rowlo/tridchess/gui/trid/PinView.html" title="class in de.rowlo.tridchess.gui.trid">PinView</a></dt>
<dd>
<div class="block">Sets the ChessUi class for providing the current color scheme.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Field.html#setView-de.rowlo.tridchess.gui.FieldView-">setView(FieldView)</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Field.html" title="class in de.rowlo.tridchess.model">Field</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Pin.html#setView-de.rowlo.tridchess.gui.trid.PinView-">setView(PinView)</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Figure.html#setWhite-boolean-">setWhite(boolean)</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Figure.html" title="class in de.rowlo.tridchess.model">Figure</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/Board.html#setWhiteKing-de.rowlo.tridchess.model.Figure-">setWhiteKing(Figure)</a></span> - Method in class de.rowlo.tridchess.model.<a href="../de/rowlo/tridchess/model/Board.html" title="class in de.rowlo.tridchess.model">Board</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Pin.html#setWhiteOwner-boolean-">setWhiteOwner(boolean)</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Pin.html" title="class in de.rowlo.tridchess.model.trid">Pin</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Game.html#setWhitePlayingParty-boolean-">setWhitePlayingParty(boolean)</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Game.html" title="class in de.rowlo.tridchess.model.trid">Game</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/util/StringUtils.html#skipMatch-java.lang.String-java.lang.String-">skipMatch(String, String)</a></span> - Static method in class de.rowlo.tridchess.util.<a href="../de/rowlo/tridchess/util/StringUtils.html" title="class in de.rowlo.tridchess.util">StringUtils</a></dt>
<dd>
<div class="block">Takes the shorter of s1 and s2 as pattern matching the beginning of the
 longer one.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Game.html#startGame--">startGame()</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Game.html" title="class in de.rowlo.tridchess.model.trid">Game</a></dt>
<dd>
<div class="block">Starts a game on the board.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/model/trid/Game.html#startGame-java.util.Map-">startGame(Map&lt;String, Object&gt;)</a></span> - Method in class de.rowlo.tridchess.model.trid.<a href="../de/rowlo/tridchess/model/trid/Game.html" title="class in de.rowlo.tridchess.model.trid">Game</a></dt>
<dd>
<div class="block">Starts a game on the board.</div>
</dd>
<dt><a href="../de/rowlo/tridchess/util/StringUtils.html" title="class in de.rowlo.tridchess.util"><span class="typeNameLink">StringUtils</span></a> - Class in <a href="../de/rowlo/tridchess/util/package-summary.html">de.rowlo.tridchess.util</a></dt>
<dd>
<div class="block">Special String functions.</div>
</dd>
<dt><span class="memberNameLink"><a href="../de/rowlo/tridchess/util/StringUtils.html#StringUtils--">StringUtils()</a></span> - Constructor for class de.rowlo.tridchess.util.<a href="../de/rowlo/tridchess/util/StringUtils.html" title="class in de.rowlo.tridchess.util">StringUtils</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">F</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">J</a>&nbsp;<a href="index-10.html">K</a>&nbsp;<a href="index-11.html">L</a>&nbsp;<a href="index-12.html">M</a>&nbsp;<a href="index-13.html">N</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">W</a>&nbsp;<a href="index-21.html">X</a>&nbsp;<a href="index-22.html">Y</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-16.html">Prev Letter</a></li>
<li><a href="index-18.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-17.html" target="_top">Frames</a></li>
<li><a href="index-17.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
